cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/semantic-searchimport requests
url = "https://www.atom.com/api/marketplace/semantic-search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/semantic-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/semantic-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/semantic-search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/semantic-search")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/semantic-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"query": "tech startup names",
"page": 1,
"page_size": 20,
"total": 20,
"total_pages": 1,
"processing_time_ms": 312.45,
"domains": [
{
"id": "brightly.com",
"domain_name": "brightly.com",
"image_url": "https://www.atom.com/logo/brightly.png",
"tld": "com",
"structure": 8,
"emotion": "Optimistic",
"price": 9995,
"selling_price": 9995,
"discount_price": 0,
"type_of_name": "One Word",
"special_collection": "",
"score": 0.87,
"pricing_type": "BIN",
"price_text": null,
"metadata": {
"tld": "com"
}
}
]
}APIs List
Semantic Search
Discover domains using natural language queries. Describe what you’re looking for — such as ‘names for a healthcare startup’ or ‘short brandable tech names’ — and get back the most relevant matches from Atom’s marketplace using advanced AI-powered semantic search.
GET
/
semantic-search
cURL
curl --request GET \
--url https://www.atom.com/api/marketplace/semantic-searchimport requests
url = "https://www.atom.com/api/marketplace/semantic-search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://www.atom.com/api/marketplace/semantic-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.atom.com/api/marketplace/semantic-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.atom.com/api/marketplace/semantic-search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.atom.com/api/marketplace/semantic-search")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.atom.com/api/marketplace/semantic-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"query": "tech startup names",
"page": 1,
"page_size": 20,
"total": 20,
"total_pages": 1,
"processing_time_ms": 312.45,
"domains": [
{
"id": "brightly.com",
"domain_name": "brightly.com",
"image_url": "https://www.atom.com/logo/brightly.png",
"tld": "com",
"structure": 8,
"emotion": "Optimistic",
"price": 9995,
"selling_price": 9995,
"discount_price": 0,
"type_of_name": "One Word",
"special_collection": "",
"score": 0.87,
"pricing_type": "BIN",
"price_text": null,
"metadata": {
"tld": "com"
}
}
]
}Query Parameters
Your API key
Your Atom user ID
Natural language search query (e.g., 'tech startup names’, ‘healthcare companies’) Example: tech startup names
Optional filters to apply to the search (JSON string)
Page number for pagination (default: 1). Default value: 1. Example: 1
Number of results per page (default: 20, max: 100). Default value: 20. Example: 20